View Issue Details

IDProjectCategoryView StatusLast Update
0030702LazarusIDEpublic2016-10-07 00:25
ReportersilvioprogAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.7 (SVN)Product Build 
Target Version1.8Fixed in Version1.8 
Summary0030702: [PATCH] MultiPaste: update Brazilian translation
DescriptionHello,

Patch Serial in attachment.

Thank you!
TagsNo tags attached.
Fixed in Revision53073
LazTarget1.8
Widgetset
Attached Files
  • 0001-IDE-updated-Brazilian-translation.patch (2,238 bytes)
    From aef26c516127cf6007b5ff21d5afcfe475b8efc9 Mon Sep 17 00:00:00 2001
    From: silvioprog <silvioprog@gmail.com>
    Date: Wed, 5 Oct 2016 20:59:53 -0300
    Subject: [PATCH] IDE: updated Brazilian translation.
    
    ---
     languages/lazaruside.pt_BR.po | 20 ++++++++++----------
     1 file changed, 10 insertions(+), 10 deletions(-)
    
    diff --git a/languages/lazaruside.pt_BR.po b/languages/lazaruside.pt_BR.po
    index 8b289da..3fe4e14 100644
    --- a/languages/lazaruside.pt_BR.po
    +++ b/languages/lazaruside.pt_BR.po
    @@ -4,7 +4,7 @@ msgstr ""
     "Project-Id-Version: Lazarus\n"
     "POT-Creation-Date: \n"
     "PO-Revision-Date: \n"
    -"Last-Translator: Marcelo B Paula\n"
    +"Last-Translator: Silvio Clécio\n"
     "Language-Team: \n"
     "MIME-Version: 1.0\n"
     "Content-Transfer-Encoding: 8bit\n"
    @@ -13653,11 +13653,11 @@ msgstr ""
     
     #: lazarusidestrconsts.lismpcstyle
     msgid "C style: \" => \\\""
    -msgstr ""
    +msgstr "Estilo C: \" => \\\"
     
     #: lazarusidestrconsts.lismpescapequotes
     msgid "Escape &quotes"
    -msgstr ""
    +msgstr "Escapar &aspas"
     
     #: lazarusidestrconsts.lismpmultipaste
     msgctxt "lazarusidestrconsts.lismpmultipaste"
    @@ -13666,27 +13666,27 @@ msgstr ""
     
     #: lazarusidestrconsts.lismppascalstyle
     msgid "Pascal style: ' => ''"
    -msgstr ""
    +msgstr "Estilo Pascal: ' => ''"
     
     #: lazarusidestrconsts.lismppasteoptions
     msgid "Paste &options"
    -msgstr ""
    +msgstr "&Opções de colagem"
     
     #: lazarusidestrconsts.lismppreview
     msgid "&Preview"
    -msgstr ""
    +msgstr "Pré-&visualização"
     
     #: lazarusidestrconsts.lismptextaftereachline
     msgid "Text &after each line"
    -msgstr ""
    +msgstr "Texto &após cada linha"
     
     #: lazarusidestrconsts.lismptextbeforeeachline
     msgid "Text &before each line"
    -msgstr ""
    +msgstr "Texto a&ntes de cada linha"
     
     #: lazarusidestrconsts.lismptrimclipboardcontents
     msgid "&Trim clipboard contents"
    -msgstr ""
    +msgstr "Remover espaços do conteúdo da área de transferência"
     
     #: lazarusidestrconsts.lisms
     msgid "(ms)"
    @@ -20615,7 +20615,7 @@ msgstr "Mover editor extremo direito"
     
     #: lazarusidestrconsts.srkmecmultipaste
     msgid "MultiPaste clipboard to current position"
    -msgstr ""
    +msgstr "MultiPaste da área de transferência para a posição atual"
     
     #: lazarusidestrconsts.srkmecnextbookmark
     msgid "Next Bookmark"
    -- 
    2.7.4
    
    
  • lazaruside.pt_BR.po (701,798 bytes)

Activities

silvioprog

2016-10-06 02:04

reporter  

0001-IDE-updated-Brazilian-translation.patch (2,238 bytes)
From aef26c516127cf6007b5ff21d5afcfe475b8efc9 Mon Sep 17 00:00:00 2001
From: silvioprog <silvioprog@gmail.com>
Date: Wed, 5 Oct 2016 20:59:53 -0300
Subject: [PATCH] IDE: updated Brazilian translation.

---
 languages/lazaruside.pt_BR.po | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/languages/lazaruside.pt_BR.po b/languages/lazaruside.pt_BR.po
index 8b289da..3fe4e14 100644
--- a/languages/lazaruside.pt_BR.po
+++ b/languages/lazaruside.pt_BR.po
@@ -4,7 +4,7 @@ msgstr ""
 "Project-Id-Version: Lazarus\n"
 "POT-Creation-Date: \n"
 "PO-Revision-Date: \n"
-"Last-Translator: Marcelo B Paula\n"
+"Last-Translator: Silvio Clécio\n"
 "Language-Team: \n"
 "MIME-Version: 1.0\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -13653,11 +13653,11 @@ msgstr ""
 
 #: lazarusidestrconsts.lismpcstyle
 msgid "C style: \" => \\\""
-msgstr ""
+msgstr "Estilo C: \" => \\\"
 
 #: lazarusidestrconsts.lismpescapequotes
 msgid "Escape &quotes"
-msgstr ""
+msgstr "Escapar &aspas"
 
 #: lazarusidestrconsts.lismpmultipaste
 msgctxt "lazarusidestrconsts.lismpmultipaste"
@@ -13666,27 +13666,27 @@ msgstr ""
 
 #: lazarusidestrconsts.lismppascalstyle
 msgid "Pascal style: ' => ''"
-msgstr ""
+msgstr "Estilo Pascal: ' => ''"
 
 #: lazarusidestrconsts.lismppasteoptions
 msgid "Paste &options"
-msgstr ""
+msgstr "&Opções de colagem"
 
 #: lazarusidestrconsts.lismppreview
 msgid "&Preview"
-msgstr ""
+msgstr "Pré-&visualização"
 
 #: lazarusidestrconsts.lismptextaftereachline
 msgid "Text &after each line"
-msgstr ""
+msgstr "Texto &após cada linha"
 
 #: lazarusidestrconsts.lismptextbeforeeachline
 msgid "Text &before each line"
-msgstr ""
+msgstr "Texto a&ntes de cada linha"
 
 #: lazarusidestrconsts.lismptrimclipboardcontents
 msgid "&Trim clipboard contents"
-msgstr ""
+msgstr "Remover espaços do conteúdo da área de transferência"
 
 #: lazarusidestrconsts.lisms
 msgid "(ms)"
@@ -20615,7 +20615,7 @@ msgstr "Mover editor extremo direito"
 
 #: lazarusidestrconsts.srkmecmultipaste
 msgid "MultiPaste clipboard to current position"
-msgstr ""
+msgstr "MultiPaste da área de transferência para a posição atual"
 
 #: lazarusidestrconsts.srkmecnextbookmark
 msgid "Next Bookmark"
-- 
2.7.4

Maxim Ganetsky

2016-10-06 13:19

developer   ~0094986

Please attach complete .po file.

silvioprog

2016-10-06 16:04

reporter  

lazaruside.pt_BR.po (701,798 bytes)

silvioprog

2016-10-06 16:05

reporter   ~0094989

Done.

Maxim Ganetsky

2016-10-07 00:05

developer   ~0094997

Applied, thanks.

In future please use specialized editor like poEdit to change .po files in order to avoid syntax errors like missing closing quotes etc.

silvioprog

2016-10-07 00:25

reporter   ~0094999

Awesome!

Thanks a lot for the tip, I'm going to install some po editor here on my Xubuntu hehe. :-)

Issue History

Date Modified Username Field Change
2016-10-06 02:04 silvioprog New Issue
2016-10-06 02:04 silvioprog File Added: 0001-IDE-updated-Brazilian-translation.patch
2016-10-06 13:19 Maxim Ganetsky LazTarget => 1.8
2016-10-06 13:19 Maxim Ganetsky Note Added: 0094986
2016-10-06 13:19 Maxim Ganetsky Assigned To => Maxim Ganetsky
2016-10-06 13:19 Maxim Ganetsky Status new => feedback
2016-10-06 13:19 Maxim Ganetsky Target Version => 1.8
2016-10-06 16:04 silvioprog File Added: lazaruside.pt_BR.po
2016-10-06 16:05 silvioprog Note Added: 0094989
2016-10-06 16:05 silvioprog Status feedback => assigned
2016-10-07 00:05 Maxim Ganetsky Fixed in Revision => 53073
2016-10-07 00:05 Maxim Ganetsky Note Added: 0094997
2016-10-07 00:05 Maxim Ganetsky Status assigned => resolved
2016-10-07 00:05 Maxim Ganetsky Fixed in Version => 1.8
2016-10-07 00:05 Maxim Ganetsky Resolution open => fixed
2016-10-07 00:25 silvioprog Note Added: 0094999
2016-10-07 00:25 silvioprog Status resolved => closed